import type { Luvio, ResourceIngest, FetchResponse } from '@luvio/engine';
interface ApexScopedModuleParams {
    namespace: string;
    classname: string;
    method: string;
}
export interface ApexInvokerParams extends ApexScopedModuleParams {
    isContinuation: boolean;
}
export interface ApexAdapterConfig {
    apexClass: string;
    apexMethod: string;
    methodParams?: any;
    xSFDCAllowContinuation: string;
}
export type BuildSnapshotContext = {
    luvio: Luvio;
    config: ApexAdapterConfig;
};
export declare const CACHE_CONTROL = "cache-control";
export declare const SHARED_ADAPTER_CONTEXT_ID = "apex__shared";
/**
 * Time to live for the Apex cache value. 5 minutes.
 */
export declare const APEX_TTL: number;
export declare const APEX_VERSION = "APEX_V_1";
export declare function apexResponseEquals(existing: any, incoming: any): boolean;
export declare const apexResponseIngest: ResourceIngest;
export declare function validateAdapterConfig(untrustedConfig: unknown): unknown | null;
/**
 * A standard delimiter when producing cache keys.
 */
export declare const KEY_DELIM = ":";
export declare function isEmptyParam(param: unknown): boolean;
export declare function keyBuilder(classname: string, method: string, isContinuation: string, params: unknown): string;
export declare function configBuilder(config: any, classname: string, method: string, isContinuation: boolean): ApexAdapterConfig;
export declare function apexClassnameBuilder(namespace: string, classname: string): string;
export declare function shouldCache(response: FetchResponse<any>): boolean;
export {};
